[Accel-config] [PATCH 1/1] accel-config/test: set read buffer allowed from 0 to 8

Tony Zhu <[email protected]> Fri, 10 Nov 2023 16:51:44 +0800
Newsgroups dev.linux.lists.accel-config
Message-ID <[email protected]>
Zero is a wrong value since the number of engines is bound to be greater
than 1. Kernel driver will set it reading from GRRCAP. For test, 8 is a
correct according to spec description.

Signed-off-by: Tony Zhu <[email protected]>
---
 test/dsa_config_test_runner.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/dsa_config_test_runner.sh b/test/dsa_config_test_runner.sh
index dc7d4a1..aa02864 100755
--- a/test/dsa_config_test_runner.sh
+++ b/test/dsa_config_test_runner.sh
@@ -45,7 +45,7 @@ group_config_test()
 		if [ "$read_ret" -ne 28 ]; then
 			echo "config group read_buffers_allowed failed" && exit "$EXIT_FAILURE"
 		fi
-		"$ACCFG" config-group $DSA/$GRP0 --read-buffers-allowed 0 || exit 1
+		"$ACCFG" config-group $DSA/$GRP0 --read-buffers-allowed 8 || exit 1
 
 		"$ACCFG" config-device -l 11 $DSA
 		"$ACCFG" config-group $DSA/$GRP0 -l 1 || exit 1
-- 
2.27.0